﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Comments.aspx.cs" Inherits="simpleBlog.Admin.WebForm7" Title="Komentáre" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%= Resources.Default.Comments %></h2>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [comments] WHERE [id] = @id" InsertCommand="INSERT INTO [comments] ([id_post], [name], [email], [url], [inserted], [text]) VALUES (@id_post, @name, @email, @url, @inserted, @text)"
        SelectCommand="SELECT comments.*, posts.title FROM [comments] LEFT JOIN [posts] ON posts.id = comments.id_post"
        UpdateCommand="UPDATE [comments] SET [id_post] = @id_post, [name] = @name, [email] = @email, [url] = @url, [inserted] = @inserted, [text] = @text WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="id_post" Type="Int32" />
            <asp:Parameter Name="name" Type="String" />
            <asp:Parameter Name="email" Type="String" />
            <asp:Parameter Name="url" Type="String" />
            <asp:Parameter Name="inserted" Type="DateTime" />
            <asp:Parameter Name="text" Type="String" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="id_post" Type="Int32" />
            <asp:Parameter Name="name" Type="String" />
            <asp:Parameter Name="email" Type="String" />
            <asp:Parameter Name="url" Type="String" />
            <asp:Parameter Name="inserted" Type="DateTime" />
            <asp:Parameter Name="text" Type="String" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" CellPadding="4" DataKeyNames="id" DataSourceID="SqlDataSource1"
        ForeColor="#333333" GridLines="None">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:BoundField DataField="name" HeaderText="<%$ Resources: Default, Name %>" SortExpression="name">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="60px" />
            </asp:BoundField>
            <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, Post %>" SortExpression="title">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="280px" />
            </asp:BoundField>
            <asp:HyperLinkField DataNavigateUrlFields="id" DataNavigateUrlFormatString="CommentsShow.aspx?id={0}"
                Text="Zobraziť">
                <ItemStyle HorizontalAlign="Center" Width="50px" />
            </asp:HyperLinkField>
            <asp:CommandField DeleteText="<%$ Resources: Default, Delete %>" ShowDeleteButton="True" ButtonType="Image"
                DeleteImageUrl="~/gfx/zmazat.jpg"></asp:CommandField>
        </Columns>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
</asp:Content>
