﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="User.aspx.cs" Inherits="simpleBlog.Admin.WebForm12" Title="Používatelia" %>
<%@ Import Namespace="Resources"%>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%= Resources.Default.Users %></h2>
    <asp:GridView ID="gvUsers" runat="server" AutoGenerateColumns="False" CellPadding="4"
        DataKeyNames="UserName" ForeColor="#333333" GridLines="None" OnDataBound="gvUsers_DataBound">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:TemplateField HeaderText="<%$ Resources: Default,Name %>">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("UserName") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblUserName" runat="server" Text='<%# Bind("UserName") %>'></asp:Label>
                </ItemTemplate>
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="100px" />
            </asp:TemplateField>
            <asp:BoundField DataField="Email" HeaderText="<%$ Resources: Default,Email %>" DataFormatString="&lt;a href=mailto:{0}&gt;{0}&lt;/a&gt;"
                HtmlEncode="False">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="120px" />
            </asp:BoundField>
            <asp:TemplateField>
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("IsApproved") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label3" runat="server" Text='<%# Bind("IsApproved") %>' Visible="False"></asp:Label>
                    <asp:Image ID="Image1" runat="server" />
                </ItemTemplate>
                <ItemStyle Width="20px" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Eval("UserName", "~/Admin/UserEdit.aspx?Id={0}") %>'>
                        <asp:Image ID="Image2" runat="server" ImageUrl="~/gfx/upravit.jpg" /></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle HorizontalAlign="Center" Width="50px" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink5" runat="server" NavigateUrl='<%# Eval("UserName", "~/Admin/User.aspx?delete={0}") %>'>
                        <asp:Image ID="Image5" runat="server" ImageUrl="~/gfx/zmazat.jpg" /></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <EmptyDataTemplate>
           <%= Resources.Default.NoUsers %>.
        </EmptyDataTemplate>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
</asp:Content>
